# Get queued commands to be executed by the physical device.

API to get queued commands for a device

Endpoint: GET /v2/command-inbox/
Version: 1.0.0
Security: apiKey

## Query parameters:

  - `device_id` (string, required)
    Filter status result by device IDs.

## Response 200 fields (application/json):

  - `code` (integer)

  - `message` (string)

  - `content` (object)

  - `content.id` (string)
    Unique command identifier

  - `content.command` (string)
    The command to be executed

  - `content.command_args` (object)
    Arguments for the command

  - `content.command_args.script` (string)
    The script to be executed

  - `content.device_meta` (object)
    Metadata about the device

  - `content.device_meta.platform` (string)
    The platform of the device

  - `content.state` (string)
    Current state of the command
    Enum: "Command Queued"

  - `content.created_on` (string)
    Timestamp of command creation

  - `content.updated_on` (string)
    Last updated timestamp of command

## Response 400 fields (application/json):

  - `code` (integer, required)

  - `message` (string, required)

  - `content` (object)

## Response 401 fields (application/json):

  - `code` (integer, required)

  - `message` (string, required)

  - `content` (object)

## Response 500 fields (application/json):

  - `code` (integer, required)

  - `message` (string, required)

  - `content` (object)


